Heartbleed Vulnerability and What You Need To Know

freeimage-8094823-webFor those of you that have heard any mention of the SSL Heartbleed vulnerability in the news this week, Mashable has put together a list of sites that are possibly affected and which ones are not so that you can change passwords accordingly. For those of you running your own websites, the vulnerability only applies to you if you have an SSL certificate (for processing payments or other encrypted data) AND your web host is running a specific implementation of OpenSSL. Our servers do not run the version in question and therefore our customer’s SSL enabled sites should require no changes or updates from their customers.

Keep Reading: Insights & Curiosities

OTM Hi Fi Image of a keyboard

Lo-Fi vs Hi-Fi: Which is Better?

When working on a video or photography project, budget and time are often the key factors determining the quality of your end result. It can be...
Loading...